package com.sa.ibiz.demo.demo.service.dto;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.ibizutil.domain.ParentData;
import com.sa.ibiz.demo.demo.domain.MsgSendQueueHis;
import org.springframework.util.StringUtils;
import lombok.Data;
import java.util.Map;
import java.sql.Timestamp;
import com.sa.ibiz.demo.ibizutil.service.SearchFilterBase;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.sa.ibiz.demo.ibizutil.helper.DataGridCustomSearchHelper;
import com.alibaba.fastjson.JSONObject;
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class MsgSendQueueHisSearchFilter extends SearchFilterBase {

	private String query;
	private Page page;
	private QueryWrapper<MsgSendQueueHis> selectCond;
	private JSONObject customsearchval;
	public MsgSendQueueHisSearchFilter(){
		this.page =new Page<MsgSendQueueHis>(1,Short.MAX_VALUE);
		this.selectCond=new QueryWrapper<MsgSendQueueHis>();	
	}

	/**
	 * 设定自定义查询条件，在原有SQL基础上追加该SQL
	 */
	public void setCustomCond(String sql)
	{
		this.selectCond.apply(sql);
	}

	private String n_contenttype_eq;

	public void setN_contenttype_eq(String n_contenttype_eq) {
        this.n_contenttype_eq = n_contenttype_eq;
        if(!StringUtils.isEmpty(this.n_contenttype_eq)){
            this.selectCond.eq("contenttype", n_contenttype_eq);
        }
    }
	private Integer n_importanceflag_eq;

	public void setN_importanceflag_eq(Integer n_importanceflag_eq) {
        this.n_importanceflag_eq = n_importanceflag_eq;
        if(!StringUtils.isEmpty(this.n_importanceflag_eq)){
            this.selectCond.eq("importanceflag", n_importanceflag_eq);
        }
    }
	private String n_msgsendqueuehisname_like;

	public void setN_msgsendqueuehisname_like(String n_msgsendqueuehisname_like) {
        this.n_msgsendqueuehisname_like = n_msgsendqueuehisname_like;
        if(!StringUtils.isEmpty(this.n_msgsendqueuehisname_like)){
            this.selectCond.like("msgsendqueuehisname", n_msgsendqueuehisname_like);
        }
    }
	private Integer n_msgtype_eq;

	public void setN_msgtype_eq(Integer n_msgtype_eq) {
        this.n_msgtype_eq = n_msgtype_eq;
        if(!StringUtils.isEmpty(this.n_msgtype_eq)){
            this.selectCond.eq("msgtype", n_msgtype_eq);
        }
    }

	public void setSrfparentdata(Map<String, String> srfparentdata) {
		this.srfparentdata = srfparentdata;
		String strParentkey=this.getSrfparentdata().get("srfparentkey");
	}

	/**
	 * 启用快速搜索
	 */
	public void setQuery(String query)
	{
		 this.query=query;
		 if(!StringUtils.isEmpty(query)){
			this.selectCond.or().like("msgsendqueuehisname",query);
		 }
	}

	/**
	 * 自定义查询
	 * @param customsearchval
	 */
	public void setCustomsearchval(JSONObject customsearchval) {
		this.customsearchval = customsearchval;
		if(!StringUtils.isEmpty(customsearchval)){
			DataGridCustomSearchHelper customSearchHelper= DataGridCustomSearchHelper.getInstance();
			String customSql =customSearchHelper.parseCustomVal(customsearchval);
			this.selectCond.apply(customSql);
		}
	}

}